<div class="breadcrumb-wrap">
    <div class="container-fluid">
        <ul class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item"><a [routerLink]="'/promotion'">Promotions</a></li>
            <li class="breadcrumb-item active">Promotion List</li>
        </ul>
    </div>
</div>
<div class="product-view">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-8">
                <div class="row">
                    <div class="col-md-12">
                        <div class="product-view-top">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="product-search">
                                        <input type="text" placeholder="search" [(ngModel)]="term">
                                        <button><i class="fa fa-search"></i></button>
                                        
                                    </div>
                                    
                                </div>
                             
                            
                            
                                
                            </div>
                            
                        </div>
                        
                    </div>
                    <div style="background-color: white;" class="col-md-4" *ngFor="let p of promo |filter:term  | paginate: { itemsPerPage: 9, currentPage: p }">
                        <div class="product-item">
                            <div class="product-title">
                                <div  class="remise">-{{p?.remise}}%</div><a [routerLink]="['/detailpromo',p.id]">{{p.name}}<br>  </a>
                             
                            </div>
                            <div class="product-image">
                             
                                <a href="product-detail.html">
                                    <img  src="http://127.0.0.1:8887/{{p?.img}}" alt="Product Image">
                                </a>
                             
                            </div>
                            <div class="product-price">
                                <h3><span></span>{{p?.price}} TND</h3><br>
                                <del style="color: gray;">{{p.price+((p.price/100)*p?.remise)}} TND</del>
                                <a [routerLink]="['/detailpromo',p.id]" class="btn" ><i class="fa fa-shopping-cart"></i>Buy Now</a>
                            </div>
                        </div>
                    </div>
                  
                   
                </div>
                <pagination-controls (pageChange)="p = $event"></pagination-controls>
                <!-- Pagination Start -->
                
                <!-- Pagination Start -->
            </div>           
            
            <!-- Side Bar Start -->
            <div class="col-lg-4 sidebar" >
                <div class="sidebar-widget category">
                    <h2 class="title">Category</h2>
                    <nav class="navbar bg-light">
                        <ul class="navbar-nav" *ngFor="let categorie of listcategorie">
                            <li class="nav-item" *ngIf="categorie.name == 'Beauté & santé'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-female"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Superette'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-shopping-bag"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Maison & Bureau'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-home"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Téléphone & Tablette'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-mobile-alt"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Mode'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-tshirt"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Informatique'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fas fa-desktop"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Electronique'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-microchip"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Jeux vidéo & console'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-gamepad"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Articles de sport'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-dumbbell"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Auto & Moto'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-car"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Jardin & plein air'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i class="fa fa-home"></i>{{categorie.name}}</a>
                            </li>
                        </ul>
                    </nav>
                </div>
                       
                <div class="sidebar-widget brands" style="margin-bottom: 30%;">
                    <h2 class="title">Filter by price</h2>
                    <ng5-slider [(ngModel)]="priceSelection" [(value)]="minValue" [(highValue)]="maxValue"
                    [options]="options" (mouseup)="changePrice()"></ng5-slider>
                    <!-- <ul>
                        <li><a href="#">Nulla </a><span>(45)</span></li>
                        <li><a href="#">Curabitur </a><span>(34)</span></li>
                        <li><a href="#">Nunc </a><span>(67)</span></li>
                        <li><a href="#">Ullamcorper</a><span>(74)</span></li>
                        <li><a href="#">Fusce </a><span>(89)</span></li>
                        <li><a href="#">Sagittis</a><span>(28)</span></li>
                    </ul> -->
                </div>
                
          
            
               
            </div>
          
            <!-- Side Bar End -->
        </div>
    </div>
</div>